<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:f="http://xmlns.jcp.org/jsf/core">

<ui:composition template="template.xhtml">
	
	<ui:define name="content">
	    <h2>Nový zaměstnanec</h2>
	    <h:form id="Form">
	    	<h:messages layout="table" styleClass="errorMsg"></h:messages>
			<h:panelGrid columns="2" styleClass="form">
				
				<h:outputLabel rendered="true" value="Jméno"></h:outputLabel>
				<h:inputText value="#{zamestnanecBean.zamestnanec.jmeno}" required="true"
					requiredMessage="Jméno je povinné"
					validatorMessage="Neplatné jméno">
					<f:validateLength minimum="2" maximum="80" />
				</h:inputText>
				
				<h:outputLabel rendered="true" value="Příjmení"></h:outputLabel>
				<h:inputText value="#{zamestnanecBean.zamestnanec.prijemni}" required="true"
					requiredMessage="Příjmení je povinné"
					validatorMessage="Neplatné příjmení">
					<f:validateLength minimum="2" maximum="80" />
				</h:inputText>
				
				<h:outputLabel rendered="true" value="Login"></h:outputLabel>
				<h:inputText value="#{zamestnanecBean.zamestnanec.login}" required="true"
					requiredMessage="Login je povinný"
					validatorMessage="Neplatný login">
					<f:validateLength minimum="2" maximum="8" />
				</h:inputText>
				
				<h:outputLabel rendered="true" value="Heslo"></h:outputLabel>
				<h:inputSecret value="#{zamestnanecBean.zamestnanec.heslo}" required="true"
					requiredMessage="Heslo je povinné"
					validatorMessage="Neplatné heslo">
					<f:validateLength minimum="5" maximum="80" />
				</h:inputSecret>
				
				
				<h:outputLabel rendered="true" value="Číslo účtu"></h:outputLabel>
				<h:inputText value="#{zamestnanecBean.zamestnanec.cisloUctu}" required="true"
					requiredMessage="Číslo účtu je povinné">
				</h:inputText>
				
				<h:outputLabel rendered="true" value="Datum nástupu"></h:outputLabel>
				<h:inputText value="#{zamestnanecBean.zamestnanec.datumNastupu}" 
							 required="true" 
							 id="calendar1" 
							 validatorMessage="Datum musí být ve formátu dd-mm-yyyy"
							 requiredMessage="Datum je povinné">
					<f:validateLength minimum="10" />
					<f:convertDateTime pattern="dd-MM-yyyy"/>
				</h:inputText>
				
				
				<h:outputLabel rendered="true" value="Pozice"></h:outputLabel>
				<h:selectOneMenu value="#{zamestnanecBean.zamestnanec.typZemstnance}">
   					<f:selectItem selected="true" itemValue="driver" itemLabel="řidič" />
   					<f:selectItem itemValue="seller" itemLabel="prodavač" />
   					<f:selectItem itemValue="admin" itemLabel="admin" />
				</h:selectOneMenu>

				<h:outputLabel rendered="true" value=""></h:outputLabel>				
				<h:commandButton action="#{zamestnanecBean.actionInsertNew}" styleClass="formbutton" value="Uložit">
				</h:commandButton>
			</h:panelGrid>
	    </h:form>
	</ui:define>
</ui:composition>
</html>
